### File

`packages/eui-dynamic-forms-ui/src/lib/core/base-dyn/base-dyn.component.ts`

### Implements

`BaseDynConstructor`

### Index

###### Properties

- Optional children
- Optional context
- Optional fieldId
- Optional frameId
- Optional genericService
- Optional globalStore
- Optional metaDataIndex
- Optional parent
- Optional parentData
- Optional setId

### Constructor

`constructor(values: BaseDynConstructor)`

Parameters :

Name | Type | Optional
values | `BaseDynConstructor` | No

### Properties

Optional children
Type : `UxDynFormModelArray`

Optional context
Type : `any`

Optional fieldId
Type : `string`

Optional frameId
Type : `string`

Optional genericService
Type : `DynGenericService`

Optional globalStore
Type : `Store<any>`

Optional metaDataIndex
Type : `string`

Optional parent
Type : `FormGroup | FormArray`

Optional parentData
Type : `UxDynFormArrayParentData`

Optional setId
Type : `string`

# result-matching ""

# No results matching ""